io.netty.handler.codec.mqtt

## Class MqttMessageBuilders.AuthBuilder

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessageBuilders.AuthBuilder

Enclosing class:
  MqttMessageBuilders

    public static final class MqttMessageBuilders.AuthBuilder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`MqttMessage` `build()`
`MqttMessageBuilders.AuthBuilder` `properties(MqttProperties properties)`
`MqttMessageBuilders.AuthBuilder` `reasonCode(byte reasonCode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### properties

    public MqttMessageBuilders.AuthBuilder properties(MqttProperties properties)

#### reasonCode

    public MqttMessageBuilders.AuthBuilder reasonCode(byte reasonCode)

#### build

    public MqttMessage build()